%define build_arch i386

Summary: A GNU utility for secure communication and data storage.
Name: gnupg
Version: 1.2.2
Release: 1.0.4
Copyright: GPL
Group: Applications/Cryptography
Source0: ftp://ftp.gnupg.org/pub/gcrypt/gnupg/%{name}-%{version}.tar.gz
URL: http://www.gnupg.org/
Provides: gpg openpgp
BuildRoot: %{_tmppath}/%{name}-root

%description
GnuPG (GNU Privacy Guard) is a GNU utility for encrypting data and
creating digital signatures. GnuPG has advanced key management
capabilities and is compliant with the proposed OpenPGP Internet
standard described in RFC2440. Since GnuPG doesn't use any patented
algorithm, it is not compatible with any version of PGP2 (PGP2.x uses
only IDEA for symmetric-key encryption, which is patented worldwide).

%prep
%setup -q

%build
%configure --enable-shared --with-included-gettext
make CFLAGS="$RPM_OPT_FLAGS"

%clean
rm -rf $RPM_BUILD_ROOT

%install
%{makeinstall}
  sed 's^\.\./g[0-9\.]*/^^g' tools/lspgpot > lspgpot
  install -m755 lspgpot $RPM_BUILD_ROOT%{_bindir}/lspgpot

  # Install convert helper.
  install -m755 tools/convert-from-106 $RPM_BUILD_ROOT%{_bindir}/gpg-convert-from-106

  # Fix hosed filenames.
  cd $RPM_BUILD_ROOT/usr/bin
  mv %{build_arch}-pc-linux-gpgsplit gpgsplit
  mv %{build_arch}-pc-linux-gpg      gpg
  mv %{build_arch}-pc-linux-gpgv     gpgv

  cd $RPM_BUILD_ROOT/usr/share/man/man1
  mv %{build_arch}-pc-linux-gpg.1  gpg.1
  mv %{build_arch}-pc-linux-gpgv.1 gpgv.1

  cd $RPM_BUILD_ROOT/usr/share/man/man7
  mv %{build_arch}-pc-linux-gnupg.7 gnupg.7

  cd $RPM_BUILD_ROOT/usr/libexec
  mv %{build_arch}-pc-linux-gpgkeys_mailto gpgkeys_mailto

%files
  %defattr(-,root,root)
  %doc AUTHORS COPYING ChangeLog INSTALL NEWS PROJECTS README THANKS TODO
  %doc doc/DETAILS doc/FAQ doc/HACKING doc/OpenPGP doc/faq.html
  %doc g*/OPTIONS g*/pubring.asc

  # Make gpg suid.
  %attr(4755,root,root)        %{_bindir}/gpg

  %defattr(755,root,root)
  %{_bindir}/gpg-convert-from-106
  %{_bindir}/gpgsplit
  %{_bindir}/gpgv
  %{_bindir}/lspgpot
  %{_libexecdir}/gpgkeys_mailto

  %defattr(444,root,root)
  %{_datadir}/gnupg/*
  %{_datadir}/locale/*/*/*
  %{_mandir}/man?/*

%changelog
* Tue May 13 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.2, Release 1.0.4
  - Upgrade to 1.2.2 for testing purposes.
  - klima-rosa patch is in 1.0.7, so drop.
  - Fix mangling of filenames.
  - Use included gettext so this builds with our ancient toolkits.
  - Make gpg suid to keep consistent with more recent EnGarde versions.

* Wed May 30 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.6, Release 1.0.3
  - New upstream fixes format string bug in util/ttyio.c (Closes #00033).
  - Removed all old patches (fixed in 1.0.6) except the klima-rosa.diff, since
    it imposes stricter integrity checking on the keys.


* Mon Mar 26 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.4, Release 1.0.2
  - Applied patch by Florian Weimer <fw@deneb.enyo.de> to enforce
    better integrity checking on secret keyring.


* Mon Feb 05 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.0.4, Release 1.0.1
  - Initial build for EnGarde 1.0.1.


* Tue Dec 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- go with this version -- 1.0.4c includes a lot of changes beyond just the
  two security fixes

* Thu Dec 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- add the --allow-secret-key-import patch from CVS in case we don't get a 1.0.5

* Fri Dec  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- build as an errata for 7

* Fri Dec  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- add a security patch for a problem with detached signature verification...
  might hold off for an impending 1.0.5, though

* Thu Oct 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix a bug preventing creation of .gnupg directories

* Wed Oct 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- add patch to recognize AES signatures properly (#19312)
- add gpgv to the package

* Tue Oct 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.4 to get security fix

* Tue Oct 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix man page typos (#18797)

* Thu Sep 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.3
- switch to bundled copy of the man page

* Wed Aug 30 2000 Matt Wilson <msw@redhat.com>
- rebuild to cope with glibc locale binary incompatibility, again

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- revert locale patch (#16222)

* Tue Aug 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- set all locale data instead of LC_MESSAGES and LC_TIME (#16222)

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.2

* Wed Jul 19 2000 Jakub Jelinek <jakub@redhat.com>
- rebuild to cope with glibc locale binary incompatibility

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jul 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- include lspgpot (#13772)

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new build environment

* Fri Feb 18 2000 Bill Nottingham <notting@redhat.com>
- build of 1.0.1

* Fri Sep 10 1999 Cristian Gafton <gafton@redhat.com>
- version 1.0.0 build for 6.1us
